{
        Ok here is my quickly written audio cd player. Based on Ralf Brown's
interrupt list and the MSCDEX specs. I suggest reading those to make a better
cd player! Anyways here's mine (I might write a better one later!):
}
Program CD_Player;
Uses Crt;
Var
  info: Array [0..21] Of Byte;
  infoseg, infoofs: Word;
  drive: Word;
Begin
  Asm
    mov AX, 1500h
    mov BX, 0
    Int 2fh  {detects cd-rom drive}
    mov drive, CX {get's the drive letter: 0=a, 1=b, 2=c, 3=d, etc.}
  End;
  infoseg := Seg (info); {get's the segment of the request handler}
  infoofs := Ofs (info); {get's the offset of the request handler}
  info [0] := 22; {Length of request}
  info [1] := 0;
  info [2] := $84; {Play audio}
  info [13] := 1;
  info [14] := 0; {this dword (4 bytes) is the start of playing}
  info [15] := 0; {NOTE: It is in hex and the first two are the last two}
  info [16] := 0; {so below it is $fa00}
  info [17] := 0;
  info [18] := 0; {this dword (4 bytes) is the end of playing}
  info [19] := 0; {they can be found by useing}
  info [20] := $f;
  info [21] := $a;
  Asm
    mov AX, infoseg {Put the segment into es}
    mov ES, AX
    mov AX, infoofs {Put the offset into bx}
    mov BX, AX
    mov CX, drive {Put the drive # into cx}
    mov AX, 1510h {Send request}
    Int 2fh
  End;
  Repeat Until KeyPressed; {Wait until keypressed;
  info [0] := 13; {Length of request}
  info [2] := $85; {Stop audio}
  Asm
    mov AX, infoseg {Same thing as above}
    mov ES, AX
    mov AX, infoofs
    mov BX, AX
    mov CX, drive
    mov AX, 1510h
    Int 2fh
  End;
End.
